# Class SearchDialog | EchoHub Documentation
Command-palette style search dialog (Ctrl+K) for navigating channels and triggering app actions.

# Class SearchDialog

Namespace
  EchoHub.Client.UI.Dialogs

Assembly
  EchoHub.Client.dll

Command-palette style search dialog (Ctrl+K) for navigating channels and triggering app actions.

    public static class SearchDialog

Inheritance
  object
  SearchDialog

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Methods

### Show(IApplication, IReadOnlyList<string>)

    public static SearchResult? Show(IApplication app, IReadOnlyList<string> channels)

#### Parameters

`app` IApplication
`channels` IReadOnlyList<string>

#### Returns

SearchResult